Bug 248226 - net/tigervnc-viewer: pkg-descr taken from master port
Summary: net/tigervnc-viewer: pkg-descr taken from master port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-23 19:26 UTC by serpent7776
Modified: 2020-07-29 01:38 UTC (History)
0 users

See Also:
meta: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description serpent7776 2020-07-23 19:26:23 UTC
net/tigervnc-viewer/pkg-descr contains 
"This port provides client(viewer) compornents of TigerVNC",
but net/tigervnc-viewer package description contains
"This port provides server components of TigerVNC"

It looks like the description for package is incorrectly taken from master port's pkg-descr.

This is the case for both official packages and packages built in poudriere.

Oddly, freshports has the same issue: https://www.freshports.org/net/tigervnc-viewer/

https://svnweb.freebsd.org/ports/head/net/tigervnc-viewer/pkg-descr?view=markup&pathrev=520683
https://freebsd.pkgs.org/11/freebsd-amd64/tigervnc-viewer-1.10.1_1.txz.html
Comment 1 Koichiro Iwao freebsd_committer 2020-07-28 14:05:51 UTC
Indeed, thanks you for the report.

pkg info -f tigervnc-viewer
tigervnc-viewer-1.10.1_1
Name           : tigervnc-viewer
Version        : 1.10.1_1
Installed on   : Sat Feb 22 21:28:35 2020 JST
Origin         : net/tigervnc-viewer
Architecture   : FreeBSD:12:amd64
Prefix         : /usr/local
Categories     : net x11-servers
Licenses       : GPLv2+
Maintainer     : meta@FreeBSD.org
WWW            : https://tigervnc.org/
Comment        : TigerVNC Viewer
Options        :
        DOCS           : on
        GNUTLS         : on
        NLS            : on
Shared Libs required:
        libX11.so.6
        libXrender.so.1
        libXext.so.6
        libjpeg.so.8
        libXcursor.so.1
        libICE.so.6
        libXft.so.2
        libfltk.so.1.3
        libintl.so.8
        libgnutls.so.30
        libSM.so.6
        libfontconfig.so.1
        libfltk_images.so.1.3
        libXinerama.so.1
        libXfixes.so.3
Annotations    :
        FreeBSD_version: 1201512
Flat size      : 796KiB
Description    :
This port provides server components of TigerVNC.

TigerVNC is a high-performance, platform-neutral implementation of VNC,
a client/server application that allows users to launch and interact with
graphical applications on remote machines.

WWW: https://tigervnc.org/
Comment 2 commit-hook freebsd_committer 2020-07-29 01:36:37 UTC
A commit references this bug:

Author: meta
Date: Wed Jul 29 01:35:54 UTC 2020
New revision: 543641
URL: https://svnweb.freebsd.org/changeset/ports/543641

Log:
  net/tigervnc-viewer: Fix pkg-descr

  was incorrectly taken from the master port.

  PR:		248226
  Reported by:	serpent7776@gmail.com
  Sponsored by:	HAW International

Changes:
  head/net/tigervnc-viewer/Makefile
Comment 3 Koichiro Iwao freebsd_committer 2020-07-29 01:38:11 UTC
Fixed, thanks!